netatalk: FPByteRangeLock.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
FPByteRangeLock.c File Reference
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Functions
STATIC void | test60 ()
static void | test_bytelock (uint16_t vol, char *name, int type)
STATIC void | test63 ()
STATIC void | test64 ()
static void | test_bytelock3 (char *name, int type)
STATIC void | test65 ()
static void | test_bytelock2 (char *name, int type)
void | test78 ()
STATIC void | test79 ()
static void | test_bytelock5 (uint16_t vol, char *name, int type)
STATIC void | test80 ()
STATIC void | test329 ()
STATIC void | test410 ()
static int | create_trash (CONN *conn, uint16_t vol)
static int | create_map (CONN *conn, uint16_t vol, int dir, char *name)
static int | set_perm (CONN *conn, uint16_t vol, int dir)
static int | write_access (CONN *conn, uint16_t vol, int dir)
static int | init_trash (CONN *conn, uint16_t vol, int *result)
STATIC void | test330 ()
STATIC void | test366 ()
void | FPByteRangeLock_test ()

## Variables
static char | temp [MAXPATHLEN]

## Function Documentation

## ◆ create_map()

int create_map | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | dir,
|  | char * | name )
| static

## ◆ create_trash()

int create_trash | ( | CONN * | conn,
|  | uint16_t | vol )
| static

## ◆ FPByteRangeLock_test()

void FPByteRangeLock_test | ( |  | ) |

## ◆ init_trash()

int init_trash | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int * | result )
| static

## ◆ set_perm()

int set_perm | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | dir )
| static

## ◆ test329()

STATIC void test329 | ( |  | ) |

## ◆ test330()

STATIC void test330 | ( |  | ) |

## ◆ test366()

STATIC void test366 | ( |  | ) |

## ◆ test410()

STATIC void test410 | ( |  | ) |

## ◆ test60()

STATIC void test60 | ( |  | ) |

## ◆ test63()

STATIC void test63 | ( |  | ) |

## ◆ test64()

STATIC void test64 | ( |  | ) |

## ◆ test65()

STATIC void test65 | ( |  | ) |

## ◆ test78()

void test78 | ( |  | ) |

## ◆ test79()

STATIC void test79 | ( |  | ) |

## ◆ test80()

STATIC void test80 | ( |  | ) |

## ◆ test_bytelock()

void test_bytelock | ( | uint16_t | vol,
|  | char * | name,
|  | int | type )
| static

## ◆ test_bytelock2()

void test_bytelock2 | ( | char * | name,
|  | int | type )
| static

## ◆ test_bytelock3()

void test_bytelock3 | ( | char * | name,
|  | int | type )
| static

## ◆ test_bytelock5()

void test_bytelock5 | ( | uint16_t | vol,
|  | char * | name,
|  | int | type )
| static

## ◆ write_access()

int write_access | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | dir )
| static

## Variable Documentation

## ◆ temp

char temp[MAXPATHLEN]
| static